%%% ------------------------------------------------------------------
%  AEI Style 'aei.cls' - modified article style file for 'Acta
%  Electrotechnica et Informatica' published by Faculty of Electrical
%  Engineering and Informatics, Technical University of Kosice
%%% ------------------------------------------------------------------
%  Copyright (c) 2006 Ladislav Sevcovic (ladislav.sevcovic@tuke.sk)
%  Dr. Ladislav Sevcovic,
%  Department of Physics,
%  Faculty of Electrical Engineering and Informatics,
%  Technical University of Kosice,
%  Park Komenskeho 2, SK-041 20 Kosice, Slovakia
%%% ------------------------------------------------------------------
%  Corrected and revised in January 2008
%%% ------------------------------------------------------------------
%  Revised in April 2008 by Jana Trelova
%%% ------------------------------------------------------------------
%  Revised in September 2011 by Peter Jakubco (pjakubco@gmail.com)
%%% ------------------------------------------------------------------
%	Example of the begining of your paper:
%
%	\documentclass[fleqn]{aei}
%	\usepackage[pdftex]{graphicx}
%	\usepackage{mathptmx,cite}
%
%	\begin{document}
%	\pagerange{1}{5}   %(paper has 5 pages the most)
%
%	\title{DATA PROCESSING IN PHYSICS WITH OPEN SOURCE PROGRAM R}
%	\headtitle{%
%	Sample article: Acta Electrotechnica et Informatica
%	}
%
%	\author{%  author(s)
%	Jozef MRKVI\v{C}KA$^*$,
%	Alex~Second\,$^\dagger$, Mark~Third\,$^\dagger$,
%	Kevin~Fourth\,$\ddagger$
%	}
%
%	\adresses{% address(es)
%	$^*$Department of Physics,  Faculty of Electrical Engineering
%	and Informatics, Technical University of Ko\v{s}ice, Park
%	Komensk\'{e}ho~2, SK--041\,20~Ko\v{s}ice, Slovakia,
%	\email{jozef.mrkvicka@tuke.sk}\\
%	$^\dagger$Second address here\\
%	$^\ddagger$Third address here, \email{a\_third@mymail.com}
%%% DATE of submition
%	%\day{July 5, 2006}
%	}
%%% SUMMARY of your article
%	\babstract
%            ...
%	\eabstract
%
%%% KEYWORDS of your article
%	\keywords{...}
%
%%% START of your  article
%
%	\section{Introduction}
%
%	text of your article
%       ...
%
%%% ACKNOWLEDGMENTS
%
%	\begin{ack}
%	The author thanks ...
%	\end{ack}
%
%	...
%
%	\end{document}
%
%%% REFERENCES
%
%%% Examples:
%
%	\begin{thebibliography}{99}
%	\bibitem{XY}
%	\refer{author}{title}{journal}{volume}{number}{year}{page}
%	or, equivalently:
%	\bibitem{XY} author(s): {\it title}{journal}{\bf volume}{No. }
%	(year) page
%
%	For BOOK references, use:
%
%       \bibitem{gratzer} Gr\"atzer, G.: Math into \LaTeX{}. An
%       Introduction to \LaTeX{} and \AmS-\LaTeX, Birkh\"auser Boston,
%       1996, ISBN~0-8176-3805-9
%       or, equivalently:
%	A.~B.~Author: {name of book} (Publishing House, year, ISBN)
%
%	\end{thebibliography}
%%%
%	FIGURES:
%
%	To insert EPS figures (*.eps) or PDF (*.pdf)
%
%	\bfig
%	\includegraphics[width=\linewidth]{figure1}
%	\caption{The block diagram of the spectrometer}\label{fig:1}
%	\efig
%%%
%	TABLES:
%
%	See standard LaTeX2e manual
%%%
%       FOR DETAILS OF REFERENCES: SEE "INSTRUCTION TO AUTHORS"
%
%	http://www.aei.tuke.sk
%
%%%     SOME 'mathop' DEFINITIONS:
%
%	\newcommand{\ud}{\mathrm{d}}	total differential of x
%	\newcommand{\dd}{\mathrm{d}^2} second derivative of x
%	\newcommand{\ii}{\mathrm{i}} imaginart unit 'i'
%	\newcommand{\dis}{\displaystyle}
%	\newcommand{\e}{\mathrm{e}}	base of natural logarithms 'e'
%	\newcommand{\tg}{\mathop{\rm tg}\nolimits}   tangent of alpha
%	\newcommand{\etal}{et al.}
%%%
%	SOME usefull PRE-DEFINED macro's:
%
%	\be  =  \begin{equation}	for numbered equations
%	\ee  =  \end{equation}
%
%	\bea = \begin{eqnarray}
%	\eea = \end{eqnarray}
%
%	\bes =  \begin{displaymath}	for eqs. without numbering
%	\ees =  \end{displaymath}       instead of \[ ... \]
%%%
%% --------------------------------------------------------------
%% This file is part of the LaTeX2e system. (small modifications)
%% --------------------------------------------------------------
\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{aei}
              [1998/12/01 v1.0
 Standard LaTeX document class]
%

\usepackage{multirow}

\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
%\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
%\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
%\if@compatibility\else
%\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
%\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
%\DeclareOption{draft}{\setlength\overfullrule{5pt}}
%\if@compatibility\else
%\DeclareOption{final}{\setlength\overfullrule{0pt}}
%\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
%\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
%\ExecuteOptions{letterpaper,10pt,oneside,onecolumn,final}
\ExecuteOptions{a4paper,10pt,twoside,fleqn}%%%%
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\thepage\hfil\slshape\leftmark}%
      \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
      \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \thesection\quad
        \fi
        ##1}}{}}%
    \def\subsectionmark##1{%
      \markright {%
        \ifnum \c@secnumdepth >\@ne
          \thesubsection\quad
        \fi
        ##1}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
          \thesection\quad
        \fi
        ##1}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
  \if@titlepage
  \newcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@  % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\letate\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\large \@date}%
  \end{center}%
  \par
  \vskip 1.5em}
\fi
\setcounter{secnumdepth}{3}
\newcounter {tmpstr}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart{\@Roman\c@part}
%\renewcommand\thesection{\@arabic\c@section.}
\renewcommand\thesubsection{\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph{\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}

% bodka za cislo sekcie
\def\@seccntformat#1{\csname the#1\endcsname.\hspace*{2.5mm}}%\quad}

% bodka za cislom theorem-y
\def\@xthm#1#2{%
\@begintheorem{#2}{\csname the#1\endcsname.}\ignorespaces}
\def\@ythm#1#2[#3]{%
\@opargbegintheorem{#2}{\csname the#1\endcsname.}{#3}\ignorespaces}

\newcommand\part{%
   \if@noskipsec \leavevmode \fi
   \par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\section{\@startsection{section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {1.3ex \@plus.2ex}%
%                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
%                                   {2.3ex \@plus.2ex}%
%                        {\normalfont\normalsize\bfseries\centering}}
		{\normalfont\normalsize\bfseries\uppercase}}%Large
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                   {-3.25ex\@plus -1ex \@minus -.2ex}%
                                   {1.5ex \@plus .2ex}%
%                         {\normalfont\normalsize\bfseries\centering}}
                             {\normalfont\normalsize\bfseries}}%large
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                   {-3.25ex\@plus -1ex \@minus -.2ex}%
                                   {1.5ex \@plus .2ex}%
%                         {\normalfont\normalsize\bfseries\centering}}
                                   {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                   {3.25ex \@plus 1ex \@minus.2ex}%
                                   {-1em}%
%                          {\normalfont\normalsize\bfseries\centering}}
                                   {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                   {3.25ex \@plus 1ex \@minus .2ex}%
                                   {-1em}%
%                          {\normalfont\normalsize\bfseries\centering}}
                                   {\normalfont\normalsize\bfseries}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure} % vlozena bodka
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\hglue.5ex\thefigure\hglue1ex}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table} % vlozena bodka
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\hglue.5ex\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}%10
\setlength\belowcaptionskip{10\p@}%0
\long\def\@makecaption#1#2{%
  \small\vskip\abovecaptionskip\center
%%%%% \small font for captions (or \normalsize)
  \sbox\@tempboxa{{\bf #1}~#2}  %%%%% Fig. 1. not Fig. 1:
  \ifdim \wd\@tempboxa >\hsize
    {\bf #1}~#2\par		%%%%% Fig. 1. not Fig. 1:
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip
}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  F\ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
%\newcommand\refname{References}
\newcommand\refname{\normalsize REFERENCES}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% DO NOT CHANGE THE FOLLOWING LINES (aei.cls)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% noindentfirst
\let\@afterindentfalse\@afterindenttrue
        \@afterindenttrue
%%
\setlength{\parskip}{0em}
\setlength{\parindent}{.5cm}
%%
\def\thebibliography#1{%{\bf REFERENCES}
%\baselineskip3mm
%\itemsep0pt
%\parsep10mm
%\bigskip
%\small
\vglue10pt
\begin{flushleft}
{\bf \refname{}}
\end{flushleft}
%\smallskip
%\vglue0pt
\list{[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin1\labelwidth%\leftmargin2.5ex
%\labelwidth
 \advance\leftmargin\labelsep\itemsep0pt
 \usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus .07em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax%
}
\let\endthebibliography=\endlist
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \bibitem{XY}
% \refer{author}{title}{journal}{volume}{number}{year}{page}
\def\refer#1#2#3#4#5#6#7{#1:\ {\it #2\/},\ {#3}\ {\bf #4},\ {No.~#5}\
{(#6)}\ {#7}}
%%
%% some definitions
\def\headtitle#1{\gdef\@headtitle{#1}}
\def\@headtitle{\@latex@warning@no@line{No \noexpand\headtitle given}}
%
\def\aeino#1{\gdef\@aeino{#1}}
\def\@aeino{\@latex@warning@no@line{No \noexpand\aeino given}}
%
\def\doino#1{\gdef\@doino{#1}}
\def\@doino{\@latex@warning@no@line{No \noexpand\doino given}}
%
\def\endpage#1{\gdef\@endpage{#1}}
\def\@endpage{\@latex@warning@no@line{No \noexpand\endpage given}}
%
%\def\issn#1{\gdef\@issn{\vspace*{2\baselineskip}\begin{center} #1
%\end{center}}}
%\def\@issn{\@latex@warning@no@line{No \noexpand\issn given}}
%
%\pagestyle{headings}
%\newcount\numero
%\def\pagerange#1#2{%
%\newcount{\firstpage}\firstpage=#1
%\newcount{\lastpage}\lastpage=#2
%\setcounter{page}{#1}
%\noindent Submitted to Acta Electrotechnica et Informatica
%\hfill#1-- #2
%}
%

\newcounter {titlepagenum} %%zmena Balaz
\newcounter {startpagenum} %%zmena Balaz
\setcounter{titlepagenum}{1}
\def\pagerange#1#2{\gdef\@pagerange{#1--#2} \setcounter{page}{#1} \setcounter{startpagenum}{#1}}

%
%\def\rozsah#1#2{\gdef\@rozsah{#1 -- #2} \setcounter{page}{#1}}
%\def\@rozsah{\@latex@warning@no@line{No \noexpand\rozsah given}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\publisher{%
\hss
Faculty of Electrical Engineering and Informatics, Technical University
of Ko\v{s}ice, Slovakia
\hss%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\title#1{%
\begin{center}{\uppercase{\large\bf #1}}\end{center}\smallskip
}
%%
\def\author#1{%
\vglue2pt
\begin{center}{#1}\end{center}}
%%
\def\adresses#1{%
\begin{center}\vglue-10pt
\renewcommand{\baselinestretch}{0.9}\large\small
{#1}
\renewcommand{\baselinestretch}{0.9}\large\normalsize
\end{center}
}
%%
\def\day#1{\begin{center} {\small Submitted #1}\end{center}}
%%
\def\dates#1#2{\noindent
{Received #1,~accepted #2}}
%%
\def\babstract{%
\vglue2pt
\begin{center} {\small \bf ABSTRACT} \end{center}
\vglue-10pt
\it \renewcommand{\baselinestretch}{1.0}\large\small
}
\def\eabstract{%
\vglue10pt \rm
\renewcommand{\baselinestretch}{1.0}\large\normalsize
}
%%
\def\keywords#1{\noindent{\bfseries\normalsize\itshape Keywords:}
{\itshape\small #1}\vspace*{10pt}}
%%
%\def\caption#1{\noindent\small#1}
%% --------------------------------------------
\renewcommand\tablename{Table}
\renewcommand\figurename{Fig.}
%% --------------------------------------------
\def\email#1{E-mail address: #1}
\def\conf#1{%
\renewcommand{\thefootnote}{\fnsymbol{footnote}}%
\footnote{#1}
\renewcommand{\thefootnote}{\arabic{footnote}}\setcounter{footnote}{0}}

\def\ps@headings{\let\@mkboth\markboth

%\def\@oddfoot{\ifnum\thepage=\firstpage{
%\noindent{\small \publisher}\rm\thepage}
%\else{}\fi}

%\def\@evenfoot{\ifnum\thepage=\firstpage{
%\noindent{\small \publisher}\rm\thepage}
%\else{}\fi}

%\def\@evenhead{\ifnum\thepage=\firstpage{}
%\else{\thepage\hfil{\sl\authorheading}\qquad}\fi}

%\def\@oddhead{\ifnum\thepage=\firstpage{}
%\else \qquad{\sl\shorttitle}\hfill\thepage\fi}

\def\subsectionmark##1{\markright
{\ifnum \c@secnumdepth >\@ne
\thesubsection\hskip 1em\relax \fi ##1}}}

%\ps@plain\pagenumbering{arabic}
%\onecolumn\if@twoside\else\raggedbottom\fi
%% ----------------------------------------------
%% head and foot
%% ----------------------------------------------
%% if first page of the article bigin in odd page
%% ----------------------------------------------
%%
%\let\@oddfoot\@empty
\def\@oddfoot{\begin{minipage}{1\textwidth}{%
\begin{tabular*}{1\textwidth}{@{\hspace{-0.045cm}}l@{\extracolsep{\fill}}p{5cm}r@{\hspace{-0.045cm}}}
\footnotesize{ISSN 1335-8243 (print)} \copyright ~ 2014 FEI TUKE & \multirow{2}{*} & \footnotesize{ISSN 1338-3957 (online)}, \footnotesize{www.aei.tuke.sk} \\
\end{tabular*}
%\footnotesize\vspace*{1\baselineskip}\begin{center}
%ISSN 1335-8243 \copyright{} 2014 FEI TUKE % \@issn{}
%\end{center}
%\hfil
}\end{minipage}}%
%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%zmena Balaz
\newcommand{\parnaH}{%
\begin{minipage}{1\textwidth}{\small \thepage \hfil
\@headtitle{}
}\linebreak
\vspace*{-.75\baselineskip}\hrule\end{minipage}
}

\newcommand{\parnaHH}{%
\begin{minipage}{1\textwidth}{\small \@headtitle{}\hfil
\thepage
}\linebreak
\vspace*{-.75\baselineskip}\hrule\end{minipage}
}



\newcommand{\neparnaH}{%
\begin{minipage}{1\textwidth}{%
\small
\ifnum\value{titlepagenum} = 1
	\@aeino{}, \@pagerange{}, \@doino{}
	\addtocounter{titlepagenum}{1}
\else
	\@aeino{}%, \@pagerange{}
\fi
\hfil\thepage}\linebreak
\vspace*{-0.75\baselineskip}\hrule\end{minipage}
}

\newcommand{\neparnaHH}{%
\begin{minipage}{1\textwidth}{%
\small
\thepage
\hfill
\ifnum\value{titlepagenum} = 1
	\@aeino{}, \@pagerange{}, \@doino{}
	\addtocounter{titlepagenum}{1}
\else
	\@aeino{}%, \@pagerange{}
\fi
}\linebreak
\vspace*{-0.75\baselineskip}\hrule\end{minipage}
}

\def\@oddhead{
	\neparnaH
}%
%%
%% -----------------------------------------------
%% if first page of the article bigin in even page
%% -----------------------------------------------
%%
%\let\@evenfoot\@empty
\def\@evenfoot{\begin{minipage}{1\textwidth}{%
\begin{tabular*}{1\textwidth}{@{\hspace{-0.045cm}}l@{\extracolsep{\fill}}p{5cm}r@{\hspace{-0.045cm}}}
%\footnotesize{ISSN 1335-8243 (print)} \copyright ~2014 FEI TUKE & \multirow{2}{*} & \footnotesize{ISSN 1338-3957 (online)}, \footnotesize{www.aei.tuke.sk} \\
\footnotesize{ISSN 1335-8243 (print)} & \multirow{2}{*} & \footnotesize{ISSN 1338-3957 (online)}, \footnotesize{www.aei.tuke.sk} \\
\end{tabular*}
%\footnotesize\vspace*{1\baselineskip}\begin{center}
%ISSN 1335-8243 \copyright{} 2014 FEI TUKE % \@issn{}
%\end{center}
%\hfil
}\end{minipage}}%
%%
\def\@evenhead{%
\ifnum\value{titlepagenum} = 1
	\neparnaHH %//
\else
	\parnaH %//
\fi%
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%zmena Balaz

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ---
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% aei
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ---
%\pagestyle{headings}
\marginparwidth=16mm
\hoffset=10mm
\voffset=-20mm
\evensidemargin=-20mm % -15mm
\oddsidemargin=-10mm % -5mm
\paperheight=297mm
\paperwidth=210mm
%\baselineskip 3truemm
\setlength{\textwidth}{170mm} % 161mm
\setlength{\textheight}{254mm} % 255mm
\setlength{\headheight}{15pt}
\setlength{\footskip}{25pt}
\setlength{\columnsep}{4mm} % {10mm}
%%
\newenvironment{ack}{%
\vspace{1.2\baselineskip}
\noindent
{\bfseries ACKNOWLEDGEMENT}%
\vglue10pt
%\vspace{.8\baselineskip}
%\newline\noindent%
}

%%
\newenvironment{biography}{%
\vspace{1.2\baselineskip}
\noindent
{\bfseries BIOGRAPHY}%
\vspace{.8\baselineskip}
\newline\noindent%
}

%%
\newenvironment{biographies}{%
\vspace{1.2\baselineskip}
\noindent
{\bfseries BIOGRAPHIES}%
\vspace{.8\baselineskip}
\newline\noindent%
}

%% new environments for figures and tables in twocolumn typeset
\makeatletter
\newenvironment{myfigure}{\edef\@captype{figure}}{}
\newenvironment{mytable}{\edef\@captype{table}}{}
\makeatother
%%
\def\bfig{\begin{center}\begin{myfigure}}
\def\efig{\end{myfigure}\end{center}\vglue0pt}
%%
\def\btab{\begin{mytable}\begin{center}}
\def\etab{\end{center}\end{mytable}\vglue5pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% definitions for math equations
\def\bdsm{\begin{displaymath}}
\def\edsm{\end{displaymath}}
\def\beqa{\begin{eqnarray}}
\def\eeqa{\end{eqnarray}}
\def\beq{\begin{equation}}
\def\eeq{\end{equation}}
%% some mathop definitions
\newcommand{\ud}{\mathrm{d}}
\newcommand{\dd}{\mathrm{d}^2}
\newcommand{\ii}{\mathrm{i}}
\newcommand{\jj}{\mathrm{j}}
\newcommand{\dis}{\displaystyle}
\newcommand{\e}{\mathrm{e}}
\newcommand{\tg}{\mathop{\rm tg}\nolimits}
\newcommand{\etal}{et al.}
\DeclareMathAccent{\ring}{\mathalpha}{operators}{"17}
\providecommand*{\angs}{\ensuremath\smash{\mathrm{\ring A}}}
\providecommand*{\ohm}{\ensuremath{\mathrm{\Omega}}}
\providecommand*{\degree}{\ensuremath{^\circ}}
\providecommand*{\celsius}{\ensuremath{\mathrm{^\circ C}}}
\providecommand*{\micro}{\ensuremath{\upmu}}
\providecommand*{\unit}[1]{\ensuremath{\mathrm{\,#1}}}
\providecommand*{\sub}[1]{\ensuremath{_\mathrm{#1}}}
\providecommand*{\up}[1]{\ensuremath{^\mathrm{#1}}}
\providecommand*{\newoperator}[3]{\newcommand*{#1}{\mathop{#2}#3}}
\providecommand*{\renewoperator}[3]{\renewcommand*{#1}{\mathop{#2}#3}}
\providecommand*{\der}[3][]{\frac{\ud^{#1}#2}{\ud #3^{#1}}}
\providecommand*{\pder}[3][]{\frac{\partial^{#1}#2}{\partial #3^{#1}}}
\renewoperator{\Re}{\mathrm{Re}}{\nolimits}
\renewoperator{\Im}{\mathrm{Im}}{\nolimits}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% End of AEI Style %%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\endinput
%%
%% End of file `aei.cls'.
